// CardGameEx1.java 

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx1 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BAUER, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");
  private final int nbCards = 6;
  private final int nbPlayers = 4;
  private Hand[] hand;

  public CardGameEx1()
  {
    super(600, 600);
    hand = deck.dealingOut(nbPlayers, nbCards);
    RowLayout rowLayout = new RowLayout(new Location(200, 150), 350);
    hand[0].setView(this, rowLayout);
    hand[0].draw();
    ColumnLayout columnLayout = new ColumnLayout(new Location(500, 250), 400);
    hand[1].setView(this, columnLayout);
    hand[1].draw();
    FanLayout fanLayout = new FanLayout(new Location(190, 850), 500, 260, 280);
    hand[2].setView(this, fanLayout);
    hand[2].draw();
    StackLayout stackLayout = new StackLayout(new Location(380, 500));
    hand[3].setView(this, stackLayout);
    hand[3].setVerso(true);
    hand[3].draw();
  }

  public static void main(String[] args)
  {
    new CardGameEx1();
  }
}
